/*
 * LCD4x40_430.h
 *
 *  Created on: 7/dic/2013
 *
 *
 *
 * Sono le rutin necessarie al funzionamento di un LCD 4 righe e 40
 * caratteri per riga. Per il corretto funzionamento  necessario
 * definire le porte a cui il display  collegato in particolare
 * gli I/O  cio RS, E1 e E2.
 * R/W  stato collegato a massa preferendo salvare due pin della CPU
 * invece che dare preferenza ai tempi di esecuzione dell'LCD
 *
 *	 		P2.4	OUT		//  LCD  RS
 *          P2-3	OUT		//  LCD  E1
 *          P2.5	OUT		//	LCD  E2
 */


#ifndef LCD4X40_H_
#define LCD4X40_H_





// PROTOTIPI DI FUNZIONE

 void dys_clk(void);   								// Strobe controllori E1 e E2
 void dys_clk1(void);   							// Strobe  Controllore E1
 void dys_clk1(void);   							// strobe  Controllore 21
 void dys_clr(char clock);							// clear il display
 void comand(char pos_riga,char riga,char cntr); 	//comando dove posizionarsi
 void cursore_off(char clock);
 void cursor_blink(char Clock);
 void dys_string(const char stringa[],char clock);  //a display la stringa
 void dys_byte(char data,char clock);    			//a display il byte
 void dys_num(unsigned int dato,char clock);   		//a display un numero max 65635
 void reset_dys(void);
 void write_i2c(char LCD_data,char ctr_clk);		// Invia lcd_data all'expander



#endif /* LCD4X40_H_ */
